Subject: RE: weak etags vs PATCH, was: Fwd: New Version Notification - draft-dusseault-http-patch-15.txt

From: Nicolas Alvarez <[email-masked]>
Date: Wed, 11 Nov 2009 16:33:56 -0300

Brian Smith wrote:
> Finally, has anybody worked through how a complementary DIFF method would
> work, to make sure that such a DIFF method would work well in conjunction
> with PATCH? I would think that the addition of DIFF would have huge
> implications for how caching works for non-GET methods, including PATCH.
> And, if it's been decided that DIFF isn't needed because GET can be used
> instead, then why doesn't the same apply for PATCH vs. POST?

Something similar to "DIFF" is implemented via GET and extra request headers 
in RFC 3229.